Page MenuHomePhabricator

Add Vector and Popups PHP documentation to doc.wikimedia.org
Closed, ResolvedPublic2 Estimated Story Points

Description

MobileFrontend uses Doxygen to generate PHP documentation on https://doc.wikimedia.org/ which can be quite useful for everyone. Since Popups and Vector have preexisting documentation and the latter is entering heavy development, it seems reasonable that the effort to publish this documentation be made.

Acceptance criteria

  • PHP documentation for Vector and Popups appears on https://doc.wikimedia.org/.
  • MobileFrontend's Doxyfile is opportunistically updated as wanted.

QA

Documentation-only change so no testing needed.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 14 2020, 6:52 PM
Jdlrobson triaged this task as Medium priority.
Jdlrobson moved this task from Incoming to Needs Prioritization on the Readers-Web-Backlog board.
MBinder_WMF renamed this task from Add Vector and Popups PHP documentation to doc.wikimedia.org to [S] Add Vector and Popups PHP documentation to doc.wikimedia.org.Feb 12 2020, 5:32 PM
ovasileva renamed this task from [S] Add Vector and Popups PHP documentation to doc.wikimedia.org to Add Vector and Popups PHP documentation to doc.wikimedia.org.Feb 17 2020, 2:02 PM
ovasileva set the point value for this task to 2.
Niedzielski removed ovasileva as the assignee of this task.Feb 19 2020, 3:07 PM
Niedzielski added a subscriber: ovasileva.

Removing Olga as assignee. I think the carryover was just a clerical error.

Change 574463 had a related patch set uploaded (by Phuedx; owner: Phuedx):
[mediawiki/skins/Vector@master] doc: Generate documentation with Doxygen

https://gerrit.wikimedia.org/r/574463

Change 574471 had a related patch set uploaded (by Phuedx; owner: Phuedx):
[mediawiki/extensions/Popups@master] docs: Generate documentation with Doxygen

https://gerrit.wikimedia.org/r/574471

Change 574507 had a related patch set uploaded (by Phuedx; owner: Phuedx):
[mediawiki/extensions/MobileFrontend@master] docs: Align Doxyfile with other projects

https://gerrit.wikimedia.org/r/574507

Change 574463 merged by jenkins-bot:
[mediawiki/skins/Vector@master] docs: Generate documentation with Doxygen

https://gerrit.wikimedia.org/r/574463

phuedx reassigned this task from phuedx to alexhollender.Feb 24 2020, 5:44 PM
phuedx removed alexhollender as the assignee of this task.
phuedx added a subscriber: alexhollender.
phuedx added a subscriber: phuedx.

Change 574507 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] docs: Align Doxyfile with other projects

https://gerrit.wikimedia.org/r/574507

Jdlrobson removed Edtadros as the assignee of this task.
Jdlrobson added subscribers: Edtadros, Jdlrobson.

I think this can skip QA. However as part of sign off we should confirm that all the PHP documentation is displaying on docs.wikimedia.org (for MobileFrontend, Vector and Popups)

Change 574471 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] docs: Generate documentation with Doxygen

https://gerrit.wikimedia.org/r/574471

Change 574545 had a related patch set uploaded (by Phuedx; owner: Phuedx):
[integration/config@master] layout: [mediawiki/skins/Vector] Publish PHP documentation

https://gerrit.wikimedia.org/r/574545

Change 574545 merged by jenkins-bot:
[integration/config@master] layout: [mediawiki/skins/Vector] Publish PHP documentation

https://gerrit.wikimedia.org/r/574545

Mentioned in SAL (#wikimedia-releng) [2020-02-24T20:45:04Z] <James_F> Zuul: [mediawiki/skins/Vector] Publish PHP documentation T242779

Change 574554 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/docroot@master] Link Vector's (and MinervaNeue's) PHP documentation

https://gerrit.wikimedia.org/r/574554

Change 574554 merged by jenkins-bot:
[integration/docroot@master] Link Vector's (and MinervaNeue's) PHP documentation

https://gerrit.wikimedia.org/r/574554

I've synced the changes onto doc1001, but until the next patch is merged in Vector and the PHP docs are published, https://doc.wikimedia.org/Vector/master/php/ will 404.

Thank you for your help fixing and merging that broken patch, @Jdforrester-WMF!

phuedx removed phuedx as the assignee of this task.Feb 25 2020, 11:52 AM
phuedx updated the task description. (Show Details)

Change 574790 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: [mediawiki/extensions/Popups] Publish PHP documentation

https://gerrit.wikimedia.org/r/574790

Thank you for your help fixing and merging that broken patch, @Jdforrester-WMF!

Happy to help. Sorry our CI system is so complicated!

https://doc.wikimedia.org/Vector/master/php/index.html#autotoc_md2 now exists, thanks to the overnight i18n run.

Change 574790 merged by jenkins-bot:
[integration/config@master] layout: [mediawiki/extensions/Popups] Publish PHP documentation

https://gerrit.wikimedia.org/r/574790

Mentioned in SAL (#wikimedia-releng) [2020-02-25T16:52:21Z] <James_F> Zuul: [mediawiki/extensions/Popups] Publish PHP documentation T242779

Change 574797 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/docroot@master] Link Popup's PHP documentation

https://gerrit.wikimedia.org/r/574797

Change 574797 merged by jenkins-bot:
[integration/docroot@master] Link Popup's PHP documentation

https://gerrit.wikimedia.org/r/574797

nray claimed this task.Feb 25 2020, 6:04 PM

Both sets of PHP documentation are now live. Congratulations, team.

nray closed this task as Resolved.Feb 26 2020, 6:43 PM

Looks great! 🎉